// für das Drehen des dingbats
let winkel = 0;

// Angaben bzgl. des Bilder "dingbat.svg"
let dingbat;

function preload() {
    dingbat = loadImage('./p/dingbat.svg');
}

function setup() {
    // Breiten- und Höhen-Angabe relevant für Proportionen
    // CSS sorgt dafür, dass Canvas volle Breite des div#canvasContainer einnimmt
    // wenn der Canvas nicht größer als die hier angegebenen 900px wird
    // => max-width: 100%
    const meinCanvas = createCanvas(900, 400);

    // das Div mit der ID "canvasContainer" ist das Elternelement
    meinCanvas.parent('canvasContainer');

    frameRate(30);

    // Schriftfarbe
    fill('white');

    // Bild wird von seinem Mittelpunkt aus gezeichnet
    imageMode(CENTER);

    // Angaben zur Schrift
    // hier als lokaler Webfont eingebunden!
    textFont('roboto');
    textAlign(RIGHT);
    textSize(40);
}

function draw() {
    // durch "0.2" wird der background etwas transparent,
    // damit sieht man bei der Animation die Bewegung
    background('rgba(255, 166, 0, 0.2)');

    text('Responsive Canvas', width - 20, 60);
    text('Roboto Webfont', width - 20, 105);

    push();
    translate(180, 180);
    rotate(radians(winkel)); // Gradangabe
    // das dingbat-Bild
    image(dingbat, 0, 0);
    pop();

    winkel = winkel + 5;
}
